Loading...
Searching...
No Matches
ext.c File Reference
Rig (transceiver) API

Extension request parameter interface. More...

`#include <hamlib/config.h>`
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include <hamlib/rig.h>`
`#include "token.h"`
Include dependency graph for ext.c:

## Functions

int | rig_ext_func_foreach (RIG *rig, int(*cfunc)(RIG *, const struct confparams *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on all the elements stored in the extfuncs table.
int | rig_ext_level_foreach (RIG *rig, int(*cfunc)(RIG *, const struct confparams *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on all the elements stored in the extlevels table.
int | rig_ext_parm_foreach (RIG *rig, int(*cfunc)(RIG *, const struct confparams *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on all the elements stored in the extparms table.
const struct confparams * | rig_ext_lookup (RIG *rig, const char *name)
| lookup ext token by its name, return pointer to confparams struct.
const struct confparams * | rig_ext_lookup_tok (RIG *rig, hamlib_token_t token)
| lookup ext token, return pointer to confparams struct.
hamlib_token_t | rig_ext_token_lookup (RIG *rig, const char *name)
| Simple lookup returning token id associated with name.

## Detailed Description

Extension request parameter interface.

An open-ended set of extension parameters, functions and levels are available for each rig, as provided in the rigcaps extparms, extfuncs and extlevels lists. These provide a way to work with rig-specific functions that don't fit into the basic "virtual rig" of Hamlib. See icom/ic746.c for an example.